Back to top

API Documentation

Domain

Overview

An API to purchase domains

Get some domain suggestions

Get some domain suggestions
GET/domains/suggest?q={q}

Example URI

GET /domains/suggest?q=myname
URI Parameters
HideShow
q
string (required) Example: myname
Response  200
HideShow
Body
{
  "code": "OK",
  "data": [
    {
      "available": true,
      "domain": "suggestion.com",
      "definitive": true,
      "price": 47990000,
      "currency": "USD",
      "period": 1
    },
    {
      "available": true,
      "domain": "suggestion.org",
      "definitive": true,
      "price": 47990000,
      "currency": "USD",
      "period": 1
    },
    {
      "available": true,
      "domain": "suggestion.net",
      "definitive": true,
      "price": 47990000,
      "currency": "USD",
      "period": 1
    }
  ],
  "info": {
    "count": 3,
    "total": 0
  }
}

Purchase a domain

Purchase a domain
POST/domains

Example URI

POST /domains
Request
HideShow
Body
{
  "domain": "suggestion.com",
  "stripe": "feff1e63-7b46-4342-b9ee-d9a44b8cef57",
  "agreement": {
    "ip": "127.0.0.1",
    "keys": [
      "Mock DNRA"
    ]
  }
}
Response  200
HideShow
Body
{
  "code": "OK",
  "data": {
    "id": "fb85c7b0-ce61-4bf5-8a27-0c641ae17ba4",
    "name": "suggestion.com",
    "created_at": 1787792058.25895,
    "updated_at": 1787792058.25895,
    "owner": "619c7566-4770-42b4-bccc-6012cc5e4fae",
    "order": null,
    "zone": null,
    "charge": "9bfc0f4c-398f-4655-ba21-f6ac116184f5",
    "expires_at": 1819328058.257,
    "expiry_email_due_at": 1818464058.257,
    "type": "domain"
  }
}

Get domains

Get domains
GET/domains

Example URI

GET /domains
Response  200
HideShow
Body
{
  "code": "OK",
  "data": [
    {
      "id": "fb85c7b0-ce61-4bf5-8a27-0c641ae17ba4",
      "name": "suggestion.com",
      "created_at": 1787792058.25895,
      "updated_at": 1787792057.994567,
      "owner": "619c7566-4770-42b4-bccc-6012cc5e4fae",
      "order": "841636",
      "zone": null,
      "charge": "5322fb23-f2a3-4f18-837c-4c97e9212137",
      "expires_at": 1819328058.378,
      "expiry_email_due_at": 1818464058.378,
      "type": "domain"
    }
  ],
  "info": {
    "count": 1,
    "total": 0
  }
}

Get a domain

Get a domain
GET/domains/:id

Example URI

GET /domains/:id
URI Parameters
HideShow
id
string (required) Example: fb85c7b0-ce61-4bf5-8a27-0c641ae17ba4
Response  200
HideShow
Body
{
  "code": "OK",
  "data": {
    "domain": "suggestion.com",
    "renewal": {
      "renewable": true,
      "price": 10000
    }
  }
}

Renew a domain

Renew a domain
POST/domains/:id/renew

Example URI

POST /domains/:id/renew
URI Parameters
HideShow
id
string (required) Example: fb85c7b0-ce61-4bf5-8a27-0c641ae17ba4
Request
HideShow
Body
{
  "stripe": "feff1e63-7b46-4342-b9ee-d9a44b8cef57"
}
Response  204

Generated by aglio on 27 Aug 2026